{
  "private": true,
  "scripts": {
    "start": "umi dev",
    "start:dev": "cross-env REACT_APP_ENV=dev UMI_ENV=dev umi dev",
    "build": "umi build",
    "postinstall": "umi generate tmp",
    "prettier": "prettier --write '**/*.{js,jsx,tsx,ts,less,md,json}'",
    "test": "umi-test",
    "test:coverage": "umi-test --coverage"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,less,md,json}": [
      "prettier --write"
    ],
    "*.ts?(x)": [
      "prettier --parser=typescript --write"
    ]
  },
  "dependencies": {
    "@ant-design/charts": "^1.2.13",
    "@ant-design/icons": "^4.5.0",
    "@ant-design/pro-card": "^1.14.17",
    "@ant-design/pro-descriptions": "^1.6.8",
    "@ant-design/pro-form": "^1.70.3",
    "@ant-design/pro-layout": "^6.38.13",
    "@ant-design/pro-table": "^2.30.8",
    "@monaco-editor/react": "^4.4.5",
    "antd": "^4.21.6",
    "axios": "^1.3.4",
    "cross-env": "^7.0.3",
    "lodash": "^4.17.21",
    "password-quality-calculator": "^1.0.4",
    "react": "16.x",
    "react-dev-inspector": "^1.1.1",
    "react-dom": "16.x",
    "umi": "^3.5.20"
  },
  "devDependencies": {
    "@types/express": "^4.17.13",
    "@types/react": "^16.0.0",
    "@types/react-dom": "^16.0.0",
    "@umijs/plugin-qiankun": "^2.35.4",
    "@umijs/preset-react": "^2.1.1",
    "@umijs/test": "^3.5.20",
    "express": "^4.17.1",
    "lint-staged": "^10.0.7",
    "prettier": "^2.2.0",
    "typescript": "^4.1.2",
    "yorkie": "^2.0.0"
  }
}
